Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AnimChannelMatrixXfmTable Class Reference

An animation channel that issues a matrix each frame, read from a table such as might have been read from an egg file. More...

Inheritance diagram for AnimChannelMatrixXfmTable:

List of all members.

## Public Member Functions
| AnimChannelMatrixXfmTable (AnimGroup parent, string name)
| clearAllTables ()
| Removes all the tables from the channel, and resets it to its initial state.
| clearTable (char table_id)
| Removes the indicated table from the definition.
ConstPointerToArrayfloat | getTable (char table_id)
| Returns a pointer to the indicated subtable's data, if it exists, or NULL if it does not.
bool | hasTable (char table_id)
| Returns true if the indicated subtable has been assigned.
| setTable (char table_id, ConstPointerToArrayfloat const table)
| Assigns the indicated table.
## Static Public Member Functions
static TypeHandle | getClassType ()
static bool | isValidId (char table_id)
| Returns true if the given letter is one of the nine valid table id's.

## Detailed Description

An animation channel that issues a matrix each frame, read from a table such as might have been read from an egg file.

The table actually consists of nine sub-tables, each representing one component of the transform: scale, rotate, translate.

## Constructor & Destructor Documentation

AnimChannelMatrixXfmTable | ( | AnimGroup | parent,
|  | string | name
| ) |  |

## Member Function Documentation

clearAllTables | ( |  | ) |

Removes all the tables from the channel, and resets it to its initial state.

clearTable | ( | char | table_id | ) |

Removes the indicated table from the definition.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AnimChannelMatrix.

ConstPointerToArrayfloat getTable | ( | char | table_id | ) |

Returns a pointer to the indicated subtable's data, if it exists, or NULL if it does not.

bool hasTable | ( | char | table_id | ) |

Returns true if the indicated subtable has been assigned.

static bool isValidId | ( | char | table_id | ) | `[static]`

Returns true if the given letter is one of the nine valid table id's.

setTable | ( | char | table_id,
|  | ConstPointerToArrayfloat const | table
| ) |  |

Assigns the indicated table.

table_id is one of 'i', 'j', 'k', for scale, 'a', 'b', 'c' for shear, 'h', 'p', 'r', for rotation, and 'x', 'y', 'z', for translation. The new table must have either zero, one, or get_num_frames() frames.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties